This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 674567

Summary: case insensitive LDAP login returns blank screen.
Product: [Other] RHQ Project Reporter: Simeon Pinder <spinder>
Component: Core ServerAssignee: Simeon Pinder <spinder>
Status: ASSIGNED --- QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0.0   
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Simeon Pinder 2011-02-02 09:30:05 EST
Description of problem:
Attempting case-insensitive login via LDAP does not succeed.  On login the user is delivered to a blank screen. 

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Setup RHQ to support LDAP with a valid LDAP login like 'testuser'.
2. Attempt to login with 'TESTUSER'.
3. You will be unable to login until you use the correct case.
  
Actual results:
Login does not occur. User is not even redirected to the login screen, but just left at a blank screen.


Expected results:
User allowed to login and correctly uses the existing LDAP user account. 

Additional info:
Comment 1 Simeon Pinder 2011-10-20 09:32:29 EDT
This no longer occurs in recent version of master and recent JON3 beta builds.  This was most likely cleaned up with some other LDAP authentication fixes.

Moving this to ON_QA.